//============================================================================
// shaders for ut_oildepot, a Urban Terror map by codemadeflesh
//============================================================================
//
//============================================================================
// warm afternoon sky with nice fluffy clouds
//============================================================================

textures/codey1/oilbox01
{
	nopicmip
	qer_editorimage textures/codey1/oilbox01.tga
	q3map_lightRGB 0.784 0.816 1
	surfaceparm sky
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodlight
	//q3map_sunExt 1 .89 .7 50 175 40 3 32 --- old settings
	q3map_sunExt 1 .89 .7 325 175 40 3 32 // R G B intensity angle height half_shadow samples
	q3map_lightmapFilterRadius 0 8
	//q3map_skyLight 55 3 --- old settings 
	q3map_skyLight 315 3 // amount quality
	q3map_backsplash -1 -1
	skyparms env/codey1/oilbox03 - -
}

//----------------------------------------------------------------------------
// Q3A skyseam fix: rgoer_skybox.ase - model + shader  rgoer - BIG THANKS !!!
//----------------------------------------------------------------------------

textures/codey1/oilbox02_ft
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	//q3map_lightfilter - use if you want the sky colours to 'project' on the main area
	surfaceparm trans
	surfaceparm pointlight
	//nomipmaps
	nopicmip
	{
		map textures/codey1/oilbox02_ft.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_lf
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_lf.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_bk
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_bk.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_rt
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_rt.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_dn
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_dn.tga
		rgbGen identityLighting
	}
}

textures/codey1/oilbox02_up
{
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_invert
	surfaceparm trans
	surfaceparm pointlight
	nopicmip
	{
		map textures/codey1/oilbox02_up.tga
		rgbGen identityLighting
	}
}

//============================================================================
// a softly shimmering ocean and a oil tanker to burn
//============================================================================

textures/codey1/oceanshimmer
{
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_editorimage textures/codey1/oilocean.tga
    {
		map textures/codey1/oilocean.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 0.003 -0.015
	}
    {
		map textures/codey1/oilocean.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll -0.0015 -0.006
        detail
	}
}

textures/codey1/tanker_up
{
    qer_editorimage textures/codey1/tanker_up_w.tga
    {
        map textures/codey1/tanker_up_w.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
		tcMod scroll -0.0014 0
    }
}

textures/codey1/tanker_dn
{
    qer_editorimage textures/codey1/tanker_dn_w.tga
    {
        map textures/codey1/tanker_dn_w.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		depthWrite
		rgbGen identity
		tcMod scroll -0.0014 0
    }
}

textures/codey1/udden1
{
    qer_editorimage textures/codey1/udden1.tga
    {
        map textures/codey1/udden1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
}

textures/codey1/nassa01
{
    qer_editorimage textures/codey1/nassa01.tga
    surfaceparm trans
    {
        map textures/codey1/nassa01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
}


//============================================================================
// nodraw ladder - use on brushes wrapping objects to be climbed
//============================================================================

textures/codey1/stege1
{
	qer_editorimage textures/codey1/stege1.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

//============================================================================
// textures with see-through parts
//============================================================================

textures/codey1/stegen1
{
    nopicmip
    qer_trans 0.5
    surfaceparm trans
    surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
    cull none
	{
		map textures/codey1/stegen1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//============================================================================
// grates with see-through parts - soft in distance - no mipmap pixel flicker
//============================================================================

textures/codey1/gunnebo1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/codey1/gunnebo2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey1/gunnebo1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

textures/codey1/buzzfence1
{
	nopicmip
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	cull none
	sort 6
	{
		map textures/codey1/buzzfence2.tga
		blendFunc GL_ZERO GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
    {
		map textures/codey1/buzzfence1.tga
		rgbgen const ( 0.5 0.5 0.5 )
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
	}
}

//============================================================================
// non-solid textures - to stop tripping and bumping
//============================================================================

textures/codey1/steelpipe02_nonsolid
{
    surfaceparm nonsolid
    surfaceparm trans
    qer_editorimage textures/codey1/steelpipe04.tga
	{
		map textures/codey1/steelpipe04.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

//============================================================================
// nopicmip detail surfaces - for brushes
//============================================================================

textures/codey1/g5pm_front
{
    nopicmip
    {
		map textures/codey1/g5pm_front.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/h_offmonitor
{
    nopicmip
    {
		map textures/codey1/h_offmonitor.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/h_off_imac
{
    nopicmip
    {
		map textures/codey1/h_off_imac.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/planning01
{
    nopicmip
    {
		map textures/codey1/planning01.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/h_offbind
{
    nopicmip
    {
		map textures/codey1/h_offbind.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/anslagstavla
{
    nopicmip
    qer_editorimage textures/codey1/anslagstavla03.tga
    {
		map textures/codey1/anslagstavla03.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/letterbax1
{
    nopicmip
    {
		map textures/codey1/letterbax1.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/cafe_menu1
{
    nopicmip
    {
		map textures/codey1/cafe_menu1.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

textures/codey1/officefloor
{
    qer_editorimage textures/codey1/tank_v01.tga
    {
		map textures/codey1/tank_v01.tga
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_SRC_COLOR
		rgbGen identity
	}
}

//============================================================================
// posters - no alpha - use on patches 1 unit out from walls and floors
//============================================================================

textures/codey1/h_offchart1
{
    nopicmip
	{
		map textures/codey1/h_offchart1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/no_smoke
{
    nopicmip
	{
		map textures/codey1/no_smoke.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/sth_karta
{
    nopicmip
	{
		map textures/codey1/sth_karta.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/sth_poster
{
    nopicmip
	{
		map textures/codey1/sth_poster.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/storage_vent
{
    nopicmip
	{
		map textures/codey1/storage_vent.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/worldnuke
{
    nopicmip
	{
		map textures/codey1/worldnuke.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/oil_poster1
{
    nopicmip
	{
		map textures/codey1/oil_poster1.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/oil_poster2
{
    nopicmip
	{
		map textures/codey1/oil_poster2.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/oil_poster3
{
    nopicmip
	{
		map textures/codey1/oil_poster3.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/oil_poster4
{
    nopicmip
	{
		map textures/codey1/oil_poster4.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/oil_poster5
{
    nopicmip
	{
		map textures/codey1/oil_poster5.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

textures/codey1/fs_cod_logo
{
    nopicmip
	{
		map textures/codey1/fs_cod_logo.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
		depthWrite
	}
}

//============================================================================
// posters & decals with alpha - use on patches flush on walls and floors
//============================================================================

textures/codey1/call_mom
{
    nopicmip
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey1/call_mom.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//============================================================================
// posters & decals with alpha - use on patches 1 unit out from walls and floors
//============================================================================

textures/codey1/swimware1
{
    nopicmip
    surfaceparm alphashadow
    surfaceparm trans
	{
		map textures/codey1/swimware1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
	}
} 

textures/codey1/swimware2
{
    nopicmip
    surfaceparm trans
	{
		map textures/codey1/swimware2.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		rgbGen vertex
    }
}

textures/codey1/a_brunn1
{
    nopicmip
    surfaceparm nomarks
    surfaceparm trans
    polygonOffset
    sort 6
	{
		map textures/codey1/a_brunn1.tga
        blendFunc GL_DST_COLOR GL_ZERO 
        depthWrite 
        rgbGen identity
	}
}

//============================================================================
// decal projectors - to use on patches with _decal function
//============================================================================

textures/codey1/oil_logo_e
{
    nopicmip
    surfaceparm trans
    q3map_nonplanar
    q3map_shadeangle 45
    polygonOffset
    sort 6
	{
		map textures/codey1/oil_logo_e.tga
		blendFunc GL_ONE GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/oil_logo_y
{
    nopicmip
    surfaceparm trans
    q3map_nonplanar
    q3map_shadeangle 45
    polygonOffset
    sort 6
	{
		map textures/codey1/oil_logo_y.tga
		blendFunc GL_ONE GL_ZERO
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/graphatty1
{
    qer_editorimage textures/codey1/graphatty1.tga
    qer_trans 0.5
    polygonOffset
    sort 6
    {
        map textures/codey1/graphatty1.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        depthWrite
        rgbGen identity
    }
}

textures/codey1/splatt2
{
    qer_editorimage textures/codey1/splatt2.tga
    qer_trans 0.5
    polygonOffset
    sort 6
    {
        map textures/codey1/splatt2.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        depthWrite
        rgbGen identity
    }
}

textures/codey1/roadcrack01
{
    qer_editorimage textures/codey1/roadcrack01.tga
    qer_trans 0.5
    polygonOffset
    sort 6
    {
        map textures/codey1/roadcrack01.tga
        //blendFunc GL_DST_COLOR GL_ZERO // multiply
        blendFunc GL_DST_COLOR GL_SRC_COLOR // overlay
        depthWrite
        rgbGen identity
    }
}

//============================================================================
// magic shadow maker - thanks to ratty redemption for the basic code!
//============================================================================

textures/codey1/shadow 
{ 
    qer_editorimage textures/codey1/shadow1.tga 
    qer_trans 0.50
    q3map_pointlight 
    surfaceparm nonsolid 
    surfaceparm nomarks
    surfaceparm noimpact 
    { 
        map $whiteimage 
        alphagen const 0 
        alphafunc GT0
    } 
}

//============================================================================
// light fixtures
//============================================================================

textures/codey1/lysror_500
{
    qer_editorimage textures/codey1/lysror02.tga
    //q3map_surfacelight 500
    q3map_surfacelight 1750
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

textures/codey1/lysror_750
{
    qer_editorimage textures/codey1/lysror02.tga
    q3map_surfacelight 2600
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

textures/codey1/lysror_1000
{
    qer_editorimage textures/codey1/lysror02.tga
    q3map_surfacelight 3500
    q3map_lightRGB 0.988 1 0.780
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/codey1/lysror02.tga
    }
}

//============================================================================
// vending machine - glowing but no light emitting
//============================================================================

textures/codey1/h_off_vend 
{ 
    qer_editorimage textures/codey1/h_off_vend.tga
{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/h_off_vend.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/h_off_vend3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

//============================================================================
// windows - emitting a skyblue light, for indoor use
//============================================================================

textures/codey1/cafe_window2_500 
{ 
    qer_editorimage textures/codey1/cafe_window2.tga
    q3map_lightRGB 0.671 0.835 1
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/cafe_window2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/cafe_window3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

textures/codey1/h_off_win2 
{ 
    qer_editorimage textures/codey1/h_off_win2.tga 
    q3map_lightRGB 0.671 0.835 1 
    q3map_surfacelight 150
    q3map_backsplash 0 23
	{ 
		map $lightmap 
		rgbGen identity 
	} 
	{ 
		map textures/codey1/h_off_win2.tga
		blendFunc GL_DST_COLOR GL_ZERO 
		rgbGen identity 
	} 
	{
		map textures/codey1/h_off_win3.tga
		blendfunc GL_ONE GL_ONE 
	} 
}

//============================================================================
// windows - reflective, both enviroment and generic soft white, for outdoors
//============================================================================

textures/codey1/cafe_window1
{
    {
        map textures/codey1/cafe_window1.tga
    }
    {
        map textures/codey1/cafe_env1.tga
        tcGen environment
        rgbgen const ( 0.5 0.5 0.5 ) // for r_overbrightbits 0
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/cafe_window1.tga
        rgbgen const ( 0.5 0.5 0.5 ) // for r_overbrightbits 0 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/h_off_win1
{
    {
        map textures/codey1/h_off_win1.tga
    }
    {
        map textures/codey1/cafe_env1.tga
        tcGen environment
        rgbgen const ( 0.5 0.5 0.5 )
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/h_off_win1.tga
        rgbgen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/bod_side
{
    {
        map textures/codey1/bod_side.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        rgbgen const ( 0.5 0.5 0.5 )
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/bod_side.tga
        rgbGen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

textures/codey1/storage_win
{
    {
        map textures/codey1/storage_win.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/storage_win.tga
        rgbGen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
    }
}

textures/codey1/brandbox1
{
    {
        map textures/codey1/brandbox1.tga
    }
    {
        map textures/codey1/oilglas1.tga
        tcGen environment
        blendFunc GL_ONE GL_ONE 
    }
    { 
        map textures/codey1/brandbox1.tga
        rgbGen const ( 0.5 0.5 0.5 ) 
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity 
    }
}

//============================================================================
// a dirty mirror 'codey was ere'
//============================================================================

textures/codey1/oil_mirror1
{
	nopicmip
	qer_editorimage textures/codey1/oil_mirror1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/codey1/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/codey1/oil_mirror1.tga
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }

}

//============================================================================
// phonged surfaces
//============================================================================

textures/codey1/crock01nm
{
    q3map_nonplanar
    q3map_shadeangle 45
    qer_editorimage textures/codey1/crock01nm.tga
    q3map_lightmapSampleOffset 6.0 // to fix splotches in lightmap
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/crock01nm.tga
        blendFunc filter
    }
}

textures/codey1/cistern_md512
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey1/cistern_md512t.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/cistern_md512t.tga
        blendFunc filter
    }
}

textures/codey1/cistern_bt512
{
    q3map_nonplanar
    q3map_shadeangle 60
    qer_editorimage textures/codey1/cistern_bt512.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/cistern_bt512.tga
        blendFunc filter
    }
}

//============================================================================
// large scale variations - normal texture + large 'detail' texture
//============================================================================

textures/codey1/none_slip2
{
    qer_editorimage textures/codey1/none_slip2.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/none_slip2.tga
        blendFunc filter
    }
    {
        map textures/codey1/filth1.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.005 0.006
    }
}

textures/codey1/plywad02
{
    qer_editorimage textures/codey1/plywad02.tga
    q3map_globalTexture
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/codey1/plywad02.tga
        blendFunc filter
    }
    {
        map textures/codey1/filth1.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        tcMod scale 0.20 0.18
    }
}

//============================================================================
// flat buildings
//============================================================================

textures/codey1/far_houses1
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses3
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses4
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses5
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses5.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/codey1/far_houses6
{
    nopicmip
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm noimpact
	{
		map textures/codey1/far_houses6.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//============================================================================
// bullet marks on models - use on a clipbrush - thanks to $NulL for this one
//============================================================================

textures/codey1/bullet_clip
{
    qer_trans 0.5
    surfaceparm trans
    surfaceparm detail
    {
        map $whiteimage
        blendfunc filter
    }
}

//============================================================================
// lightmap bugfixes
//============================================================================

textures/codey1/grus01:q3map
{
    q3map_lightmapSampleOffset 8.0
    q3map_q3map_bounceScale 0.5
}